# Customization

The Acquire Widget functioning/customization allows you to line up your Acquire web widget with modifications like custom strings, color and provide some configuration options to the widget.

#### Settings

The Acquire widget has the following settings:

1. Greeting
2. Introduction
3. Conversation button
4. Conversation list title
5. Message Placeholder
6. Widget Appearance
   1. Launcher Text
   2. Widget Color
   3. Position

#### Methods

The Acquire chat component has the following methods:

1. Widget visibility
2. widget window state
3. Set Customer info
4. Get Customer info

#### Events

The Acquire chat component has the following events or callbacks:

1. onChatMaximize
2. onChatMinimize
3. onChatInitiated/Started
4. onChatClosed
5. onPrivateFormCapture
6. onWidgetHidden
7. onAgentAssign
8. onWidgetShown
9. onAgentStateChange (Online/Offline/Away)

![](https://files.readme.io/07e3de5-WidgetCustom.png)

#### &#x20;    &#x20;

**Agent avatars**

To set the agent avatar hide and show in the widget

Avatar show:

```
acquireIO.updateSettings({'crm.show_agent_avatars_widget':'yes'})        
```

Avatar hide:

```
acquireIO.updateSettings({'crm.show_agent_avatars_widget':'no'})
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.acquire.io/widget/functioning-customization.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
